/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.dd;

import org.jboss.logging.Logger;

/**
 * Represents a message-driven-destination element of the ejb-jar.xml deployment descriptor for
 * the 1.4 schema
 *
 * @author <a href="mailto:bdecoste@jboss.com">William DeCoste</a>
 * @version <tt>$Revision: 1.2.2.3 $</tt>
 */
public class MessageDrivenDestination
{
   private static final Logger log = Logger.getLogger(MessageDrivenDestination.class);

   // ejb-jar.xml
   private String destinationType;

   private String subscriptionDurability;

   public String getDestinationType()
   {
      return destinationType;
   }

   public void setDestinationType(String destinationType)
   {
      this.destinationType = destinationType;
   }

   public String getSubscriptionDurability()
   {
      return subscriptionDurability;
   }

   public void setSubscriptionDurability(String subscriptionDurability)
   {
      this.subscriptionDurability = subscriptionDurability;
   }

   public String toString()
   {
      StringBuffer sb = new StringBuffer(100);
      sb.append('[');
      sb.append("destinationType=").append(destinationType);
      sb.append(']');
      return sb.toString();
   }
}
